Subject: Re: bug#27253: 25.2; Suggestion: On startup after Emacs version change, package should offer to correct invalid bytecode

From: Stefan Monnier <[email-masked]>
Date: Wed, 15 Jun 2022 13:18:29 -0400

Lars Ingebrigtsen [2022-06-15 18:44:25] wrote:
> Lars Ingebrigtsen <[email-masked]> writes:
>> There should perhaps be a command to recompile all installed packages?
>> Or does that exist somewhere?  (I don't see any such command...)
> Perhaps Stefan knows; added to the CCs.

There should be a command/function to recompile an installed package,
and maybe another to do the same for all packages, yes.

I don't think the OP's situation would be best served by recompiling
everything, because usually recompilation is only needed for those few
packages that were compiled a *long* time ago ( where I'd expect most
packages have probably been recompiled since then because of
package updates).

But there's definitely room for improvement along the path of:
detecting the presence of a file that's too old, figuring out which
package needs to be recompiled, and then recompiling it.

        Stefan